Discuz! 官方站

 找回密码
 立即注册

QQ登录

只需一步,快速开始

DNSPod全新套餐 限时免费领取
搜索
楼主: shy9000

[求助] X3.2针对PHP7的兼容版本-测试ing

[复制链接]
发表于 2015-12-21 15:28:07 | 显示全部楼层
DNSPod全新套餐 限时免费领取
天使动漫论坛已升级discuz x2(gbk)到php7,周日成功上线,感谢branchzero提供的x3.2 patch以及对我提问的耐心解答。

除了github上基于patch的修改以外,还进行了一些处理,具体相关修改和原因笔记在此:
http://www.tsdm.net/forum.php?mod=viewthread&tid=661066
回复

使用道具 举报

发表于 2015-12-21 15:33:09 | 显示全部楼层
经实践gbk版本的htmlspecialchars,在php5.3以下升级到5.4+或者7都会有问题(默认编码换了)
表现为htmlspecialchars返回为空,需要重新封装,修改每个出现的地方。

看php官方manual说貌似修改php.ini指定默认charset也行,但是我在试这个之前就已经把这事给办了…

从实际经验来看修改discuz x2和x3.2的差别不是很大,如果x3.2有,而x2没有的修改点可直接忽略,如果x2有而x3.2没有的修改点,目前看都是插件的锅。对weibo的插件调整,已经在我的帖子里有详细阐述。希望能对后来的朋友有帮助。
回复

使用道具 举报

发表于 2015-12-22 09:29:53 | 显示全部楼层
这个我要mark一下。
回复

使用道具 举报

发表于 2015-12-25 17:59:35 | 显示全部楼层
算了.我怕升级后.插件也不支持.我安装了好多插件 了的
回复

使用道具 举报

发表于 2015-12-26 15:21:49 | 显示全部楼层
是不是调用某些函数的插件都会出现兼容问题呢
回复

使用道具 举报

发表于 2016-1-1 19:17:03 | 显示全部楼层
初音家二小姐 发表于 2015-12-21 15:33
经实践gbk版本的htmlspecialchars,在php5.3以下升级到5.4+或者7都会有问题(默认编码换了)
表现为htmlsp ...

能否提供你的gbk修改的文件文件
回复

使用道具 举报

发表于 2016-1-3 10:15:48 | 显示全部楼层
不错支持,希望能用于生产环境的尽快推出来。
回复

使用道具 举报

发表于 2016-1-4 21:45:07 | 显示全部楼层
楼主快一个月没更新了
回复

使用道具 举报

发表于 2016-1-5 10:14:39 | 显示全部楼层
顶一下,支持测试PHP7下的DZ。。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Discuz! Q 3.0 全新来袭 助力变现

小黑屋|Discuz! 官方站 ( 粤B2-20090059-165 )star

GMT+8, 2022-1-24 12:00

Powered by Discuz! X3.4

Copyright © 2001-2019 Tencent Cloud.

快速回复 返回顶部 返回列表